### Enumeration

# Hinawa FwReqError

since: 2.5

#### Declaration

    error-domain Hinawa.FwReqError

#### Description [src]

A set of error code for `GError` for operations in `HinawaFwReq`. The actual value is equivalent to `HinawaFwRcode`.

Available since: 2.5

#### Members

`HINAWA_FW_REQ_ERROR_CONFLICT_ERROR`

  For error of conflicting.

  - Value: `4`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_DATA_ERROR`

  For error of data.

  - Value: `5`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_TYPE_ERROR`

  For error of type.

  - Value: `6`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_ADDRESS_ERROR`

  For error of address.

  - Value: `7`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_SEND_ERROR`

  For error of sending.

  - Value: `16`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_CANCELLED`

  For cancellation.

  - Value: `17`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_BUSY`

  For busyness.

  - Value: `18`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_GENERATION`

  For generation.

  - Value: `19`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_NO_ACK`

  For no acknowledge.

  - Value: `20`
  - Available since: 2.5
`HINAWA_FW_REQ_ERROR_INVALID`

  For rcode out of specification.

  - Value: `21`
  - Available since: 2.5

#### Type functions

###### hinawa_fw_req_error_quark

Return the `GQuark` for `GError` with code of `HinawaFwRcode`.

since: 2.1